<?
//
//   CF Image Hosting Script v1.1
//   -------------------------------
//
//   Author:    codefuture.co.uk
//   Version:   1.1
//   Date:      01-Apr-10
//
//   download the latest version from - http://codefuture.co.uk/projects/imagehost1.1/
//   Copyright (c) 2010 codefuture.co.uk
//
////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////////
// stop page from being cached
	// Date in the past
		header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
	// Always modified
		header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT");
	// HTTP/1.1
		header("Cache-Control: no-store, no-cache, must-revalidate");
		header("Cache-Control: post-check=0, pre-check=0", false);
	// HTTP/1.0
		header("Pragma: no-cache"); 
// stop page from being cached
/////////////////////////////////////////////////////////////////////////////////////
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<title><?=$SET_TITLE;?><?=(isset($page_title)?$page_title:'');?></title>
<meta name="Description" content="Free Image Hosting <?=(isset($page_title)?$page_title:'');?>" />
<meta name="Keywords" content="Free Image Hosting" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="Distribution" content="Global" />
<meta name="Robots" content="index,follow" />
<link rel="stylesheet" href="css/<?=($SET_THEME=='light' ? 'style_light.css':($SET_THEME=='dark'?'style.css':'original.css'));?>" type="text/css" />
<?
//only needed the home page
	if ($menu == '' && !isset($img_posted)){

?>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.4.2.min.js"></script>
<script type= "text/javascript">
/*<![CDATA[*/
$(document).ready(function(){
	$('form.upform').submit(function() {
		$("#file_upload").fadeOut("slow");
		$("#uploading").fadeIn("slow");
	});
});

function fileExt(form, file) {
	var extArray = new Array("<?=implode('","',$accepted);?>");
	if (!file) return false;

	while (file.indexOf("\\") != -1)
	var file = file.slice(file.indexOf("\\") + 1);
	var ext = file.slice(-3).toLowerCase();

	for (var i = 0; i < extArray.length; i++) {
		if (extArray[i] === ext) {
			return true;
		}
	}

	alert("Please only upload files that end in types:  "
	+ (extArray.join("  ")) + "\nPlease select a new "
	+ "file to upload and submit again.");
	return false;
}

/*]]>*/
</script>
<?
//only needed on admin page
	}elseif ($menu == 'admin' || $menu == 'ban' ){
?>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="lightbox/jquery.lightbox-0.5.js"></script>
<link rel="stylesheet" type="text/css" href="lightbox/jquery.lightbox-0.5.css" media="screen" />
<script type= "text/javascript">
/*<![CDATA[*/
function doconfirm(message) {
	if (confirm(message)) {return true;}
	else {return false;}
}
$(function() {$('a.imglink').lightBox({overlayOpacity: 0.6});});
this.tooltip = function(){
	$(".tooltip").hover(function(e){
		var offset = $(this).offset();
		this.t = (this.tagName ==='TH'?
					this.abbr:
					(this.tagName ==='A'?
						this.title:
						(this.tagName ==='IMG'?
							this.alt:
							this.ref
						)
					)
				);
		if (this.tagName ==='A') this.title = "";
		if (this.tagName ==='IMG') this.alt = "";
		$("body").append("<div id='tooltip'>"+ this.t +"</div>");
		var itemHeight = $(this).height()/2;
		var itemWidth = $(this).width()/2;
		$("#tooltip")
			.css("top","-99999px")
			.css("left","-99999px")
			.css("display", "block");
		var xOffset = offset.top - $("#tooltip").height()-itemHeight;
		var yOffset = offset.left + itemWidth - ($("#tooltip").width()/2);
		$("#tooltip")
			.css("display", "none")
			.css("top",(xOffset) + "px")
			.css("left",(yOffset) + "px")
			.fadeIn("fast");
	},
	function(){
		$("#tooltip").remove();
		if (this.tagName ==='A') this.title = this.t;
		if (this.tagName ==='IMG') this.alt = this.t;
	});
};

// starting the script on page load
$(document).ready(function(){
	tooltip();
});


/*]]>*/
</script>
<?
	}elseif ($menu == ''){
?>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.4.2.min.js"></script>
<script type="text/javascript" src="lightbox/jquery.lightbox-0.5.js"></script>
<link rel="stylesheet" type="text/css" href="lightbox/jquery.lightbox-0.5.css" media="screen" />
<script type= "text/javascript">
/*<![CDATA[*/
$(function() {$('div.img_box a').lightBox({overlayOpacity: 0.6});});
/*]]>*/
</script>
<?
	}
?>
</head>
<body>
<div id="wrap">
	<div id="header" class="clear">
		<div id="logo">
			<h1><a href="index.php" title="Home"><?=$SET_TITLE;?></a></h1>
			<h2><?=$SET_SLOGAN;?></h2>
		</div>
		<div id="nav">
			<ul id="main-nav">
				<li><a <?=($menu=="" ? ' class="current" ':'');?> href="./" title="Home">home</a></li>
				<li><a <?=($menu=="gallery" ? ' class="current" ':'');?> href="gallery.php" title="Gallery">gallery</a></li>
				<li><a <?=($menu=="tos" ? ' class="current" ':'');?> href="tos.php" title="Terms of Service">tos</a></li>
				<? if(checklogin()){?>
					<li><a href="admin.php?act=logout" title="Logout">logout</a></li>
					<li><a <?=($menu=="set" ? ' class="current" ':'');?> href="admin.php?act=set" title="Settings">settings</a></li>
					<li><a <?=($menu=="ban" ? ' class="current" ':'');?> href="admin.php?act=ban" title="Banned">banned</a></li>
					<? if($SET_ADMIN_MENU){?>
						<li><a <?=($menu=="admin" ? ' class="current"':'');?> href="admin.php" title="Admin">admin</a></li>
					<?}?>
				<?}?>
				<? if(!$SET_ADMIN_MENU){?>
					<li><a <?=($menu=="admin" ? ' class="current"':'');?> href="admin.php" title="Admin">admin</a></li>
				<?}?>
			</ul>
		</div>
	<div class="clear"></div>
	</div>
	<div id="content">